function M = fdetect_e1(I)
% face detection ellipse approach 1

ellip = imread('ellip.bmp');
ellipx = gradx(ellip);
ellipy = grady(ellip);
Ix = gradx(I);
Iy = grady(I);

Rx = conv2(Ix, ellipx, 'same');
Ry = conv2(Iy, ellipy, 'same');

R = Rx + Ry;

Ratio = 255 / max(max(R));
M = uint8( R*Ratio );